<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="new">
    <form class="ui form" id="contracts-form" th:object="${contract}" method="post">
      <input th:field="*{id}" type="hidden" />
      <input th:field="*{created}" type="hidden" />
      <input th:field="*{createdBy}" type="hidden" />
      <input id="maxDate" th:value="${maxDate}" type="hidden" />
      <input id="minDate" th:value="${minDate}" type="hidden" />
      <div class="fields">
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}, 
					                                             field = 'name', 
					                                             required = true, 
					                                             maxlength = 120, 
					                                             placeholder = '',
					                                             columnsize = 'twelve wide'
					                                             )" />
        <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_YEAR}}, 
                                                                         field = 'year', 
                                                                         options = ${years},
                                                                         optionfield = 'item.id',
                                                                         required = true,
                                                                         columnsize = 'two wide',
                                                                         emptyoption = true
                                                                         )" />
        <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CONTRACT_STATUS}}, 
                                                                         field = 'status', 
                                                                         options = ${contractstatus},
                                                                         optionfield = 'item.name',
                                                                         required = true,
                                                                         columnsize = 'two wide',
                                                                         emptyoption = true
                                                                         )" />
      </div>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: calendar(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STARTINGDATE}}, 
                                                                     field = 'startingDay',
                                                                     required = true,
                                                                     value = ${#dates.format(contract.startingDay, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)},
                                                                     placeholder = '',
                                                                     columnsize = 'two wide'
                                                                     )" />
        <th:block th:replace="common/fragments/input :: calendar(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ENDINGDATE}}, 
                                                                     field = 'endingDay',
                                                                     required = false,
                                                                     value = ${#dates.format(contract.endingDay, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)},
                                                                     placeholder = '',
                                                                     columnsize = 'two wide'
                                                                     )" />
        <th:block th:replace="common/fragments/input :: number(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOURS}}, 
                                                                   field = 'hours', 
                                                                   required = true, 
                                                                   placeholder = '',
                                                                   min = 0,                                                        
                                                                   max = 9999,
                                                                   columnsize = 'two wide'
                                                                   )" />
        <th:block th:replace="common/fragments/input :: number(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOURS_1YEAR}}, 
                                                                   field = 'hours1stYear', 
                                                                   required = true, 
                                                                   placeholder = '',
                                                                   min = 0,                                                                                                                
                                                                   max = 9999,
                                                                   columnsize = 'two wide'
                                                                   )" />
        <th:block th:replace="common/fragments/input :: number(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOURS_2YEAR}}, 
                                                                   field = 'hours2ndYear', 
                                                                   required = true, 
                                                                   placeholder = '',
                                                                   min = 0,                                                                                                                   
                                                                   max = 9999,
                                                                   columnsize = 'two wide'
                                                                   )" />
        <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SUBAREA}}, 
	                                                                     field = 'subArea', 
	                                                                     options = ${subareas},
	                                                                     optionfield = 'item.name',
	                                                                     required = true,
	                                                                     columnsize = 'six wide',
                                                                         emptyoption = true
	                                                                     )" />
      </div>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EXTERNALCODE}}, 
                                                                 field = 'code', 
                                                                 required = true, 
                                                                 maxlength = 5, 
                                                                 placeholder = '',
                                                                 columnsize = 'two wide'
                                                                 )" />
        <th:block th:replace="common/fragments/input :: toggle(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TECHNICAL_ASSISTANCE}}, 
	                                                               field = 'technicalAssistence', 
	                                                               required = true, 
	                                                               option = '',
	                                                               localized = false,
	                                                               message = '',
	                                                               columnsize = 'three wide',
	                                                               function = ''
	                                                               )" />
      </div>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: textarea(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DESCRIPTION}}, 
					                                                 field = 'description', 
					                                                 required = false, 
					                                                 placeholder = 'Tell us more.',
					                                                 columnsize = 'sixteen wide',
					                                                 maxlength = '400'
					                                                 )" />
      </div>
      <th:block th:replace="common/fragments/form :: actionbuttons(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
                                                                      icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
                                                                      icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_CONTRACTS},
                                                                      icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                                      icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                                      icon2url = ''
                                                                      )" />
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
  </th:block>
</body>
</html>
